auth_tokenからCookieを取得
auth_tokenからCookieを取得.
APIリファレンスに戻る
/Cookie Endpoints
GET
/twitter/{auth_token}/cookieAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
パスパラメータ
auth_tokenstring必須ブラウザCookieから取得したauth_token
レスポンス
200Twitter authentication cookie
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
dataany返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
Any of:
any
anyany
any422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストGET
⚡インタラクティブテスト / Try APIGETLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)
1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。
2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。
🔑API 認証
⚙️リクエストパラメータ (1)
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X GET "https://api.twexapi.io/twitter/string/cookie" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.twexapi.io/twitter/string/cookie", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.twexapi.io/twitter/string/cookie",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)レスポンス例
{
"code": 200,
"msg": "success",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}